Skip to main content

My phone says it's not eligible to update to the newest version of the Oznr App. What version of OS do I need to download or update the app?